#pragma once
#include "global.h"
CString GetFileNameWithoutExtension(const CString& filePath);
CString GetFileDirectory(const CString& fullPath);
CString ChangeFileExtension(const CString& fullPath, const CString& newExtension);
CString ReplaceFileNameKeepPathAndExtension(const CString& originalFullPath, const CString& newFileName);
CString TruncateFilePath(const CString& fullPath, const CString& basePath);
CString GetRelativePathWithPrefix(const CString& fullPath, const CString& basePath);
std::wstring JoinWithSemicolon(const std::vector<std::wstring>& vec);
std::vector<std::wstring> SplitBySemicolon(const std::wstring& str);